/// <reference path="../typings/index.d.ts" />
/// <reference path="./utils/logger.d.ts" />

declare namespace lrts {

    export namespace system {

        export type uint_t      = number;
        export type uint8_t     = number;
        export type uint16_t    = number;
        export type uint32_t    = number;
        export type uint64_t    = number;

        export type int_t       = number;
        export type int8_t      = number;
        export type int16_t     = number;
        export type int32_t     = number;
        export type int64_t     = number;

        export type result_t    = int_t;

        /**
         * TimeStamp
         */
        export type time_t      = int_t;
    }

    export namespace server {

        /**
         * The options for common server.
         */
        interface ServerOptions {

            /**
             * Port of Server
             */
            "port"?: number;

            /**
             * Host of HTTP Server
             */
            "host"?: string;
        }

        /**
         * HTTP Protocol
         */
        export namespace http {

            /**
             * Options for HTTP Server
             */
            interface ServerOptions extends lrts.server.ServerOptions {

                /**
                 * backlog of HTTP Server
                 */
                "backlog"?: number;
            }
        }
    }
}
