/// <reference path="../libs/lrt.d.ts" />

import lrts = require("../libs/lrt");

let server: lrts.http.Server = new lrts.http.Server();

server.onGET("/hello", function(req: lrts.http.Request, resp: lrts.http.Response) {

    resp.write("Hello,<br>");
    resp.write("world!");
    resp.end();
});

server.onGET("/hi", function(req: lrts.http.Request, resp: lrts.http.Response) {

    resp.write("Hi,<br>");
    resp.write("world!");
    resp.end();
});

server.onGET("/", function(req: lrts.http.Request, resp: lrts.http.Response) {

    resp.write("Welcome to Node.TS world!");
    resp.end();
});

server.onGET(/\/test(\d+)/, function(req: lrts.http.Request, resp: lrts.http.Response) {

    resp.write("Test: " + req.pathMatch[1]);
    resp.end();
});

server.onGET("/shutdown", function(req: lrts.http.Request, resp: lrts.http.Response, server: lrts.http.Server) {

    resp.write("Server will be shutdown.");
    resp.end();

    server.close();

    req.socket.destroy();
});

server.start();
